import request from '@/utils/request'

// 执行大地坐标转空间直角坐标
export function calculate(data) {
    return request({
        url: `/calculate/geodeticToSpatial/calculate`,
        method: 'post',
        data: data
    })
}

// 导入 Excel
export function importExcel(data) {
    return request({
        url: `/calculate/geodeticToSpatial/import`,
        method: 'post',
        data: data,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}

// 导出大地坐标转空间直角坐标
export function exportExcel(data) {
    return request({
        url: `/calculate/geodeticToSpatial/export`,
        method: 'post',
        data: data,
        responseType: 'blob'
    })
}